package extend.zp;

import java.io.Serializable;

import com.taurus.core.entity.ITArray;

public class OpCard implements Serializable{
	private static final long serialVersionUID = 1L;
	public int	type;
	public int	card1;
	public int	card2;
	public int	card3;
	public int 	huXi;
	
	public OpCard(int type, int card1, int card2, int card3, int huXi) {
		this.type = type;
		this.card1 = card1;
		this.card2 = card2;
		this.card3 = card3;
		this.huXi = huXi;
	}
	
	public OpCard(int type, ITArray opcards, int card) {
		this.type = type;
		if (opcards.size() > 1) {
			this.card2 = opcards.getInt(0);
			this.card3 = opcards.getInt(1);
		}
		this.card1 = card;
	}
	public OpCard() {

	}
}
